<?php
namespace App\JsonRpc;
interface WebsiteServiceInterface
{
    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     */
    public function getWebsitetList(string $keyword,int $page,int $pageSize);

    /**
     * @param array $data
     * @return array
     */
    public function createWebsite(array $data);

    /**
     * @param int $id
     * @param array $data
     * @return array
     */
    public function updateWebsite(int $id,array $data);

    /**
     * @param int $id
     * @return array
     */
    public function delWebsite(int $id);

    /**
     * 查询网站信息
     * @param int $id
     * @return array
     */
    public function getWebsiteInfo(int $id);

    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteColumn(array $data);

    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     */
    public function getWebsiteColumnList(string $keyword,int $page,int $pageSize);

    /**
     * @param array $data
     * @return array
     */
    public function createWebsiteColumn(array $data);

    /**
     * @param int $id
     * @param array $data
     * @return array
     */
    public function updateWebsiteColumn(int $id,array $data);

    /**
     * @param int $id
     * @return array
     */
    public function delWebsiteColumn(int $id);

    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     */
    public function getWebsiteRoleList(string $keyword,int $page,int $pageSize,int $websiteId);
    /**
     * @param array $data
     * @return array
     */
    public function createWebsiteRole(array $data);

    /**
     * @param int $id
     * @param array $data
     * @return array
     */
    public function updateWebsiteRole(int $id,array $data);

    /**
     * @param int $id
     * @return array
     */
    public function delWebsiteRole(int $id);

    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     */
    public function getWebsiteRoleUserList(string $keyword,int $page,int $pageSize,int $websiteId,int $roleId);

    /**
     * @param array $data
     * @return array
     */
    public function createWebsiteRoleUser(array $data);

    /**
     * @param int $id
     * @param array $data
     * @return array
     */
    public function updateWebsiteRoleUser(int $id,array $data);

    /**
     * @param int $id
     * @return array
     */
    public function delWebsiteRoleUser(int $id);
}
